#ifndef __SETTINGS_H__
# define __SETTINGS_H__

/* Radius of the level cylinder, in world units. */
#define LEVEL_RADIUS num(4.0)
/* Section lengths, in world units. */
#define SECTION_LENGTH num(4.0)
/* Number of platforms in the world cylinder. */
#define PLATFORM_COUNT 10
/* Magnitude of the gravity field, locally (world units/s^2). */
#define GRAVITY_STRENGTH num(1.0)
/* Constant speed applied during the ascending part of a jump
   (world units/s). */
#define JUMP_SPEED num(0.8)

/* Duration of a rotation by one platform, in seconds. */
#define TIME_ROTATION num(0.1)
/* How long a jump can provide thrust for (s). */
#define TIME_JUMP_THRUST_MIN num(0.2)
#define TIME_JUMP_THRUST_MAX num(0.9)

/* Vertical FOV, in degrees */
#define RENDER_FOV 120.0
/* Height of camera above the player's feet, in world units */
#define RENDER_EYE_HEIGHT num(1.0)
/* Number of sections visible in advance */
#define RENDER_DISTANCE 8
/* Distance between the player and the camera */
#define RENDER_CAMERA_BACK_DISTANCE num(0.7)

/* Number of level segments that are guaranteed generated ahead-of-time. */
#define LEVEL_BUFFER_LENGTH 12

/* Set to 1 to enable logging by USB. */
#define LOG_USB_ENABLE 0

#endif /* __SETTINGS_H__ */
